View Issue Details

IDProjectCategoryView StatusLast Update
0003175unrealmodule apipublic2007-11-01 12:51
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSANYOS VersionANY
Product Version3.3-alpha0 
Target VersionFixed in Version3.2.8 
Summary0003175: Make channelmodes non-PERM
DescriptionMake it so that channel mode modules no longer have to be PERM.

Phase ONE: Do this for paramless modes (just as simple as umodes and extbans)
Phase TWO: Do this also for parameter modes (this is more difficult)
Phase THREE: Same as two, but also make some system to save any channel attached data. This is needed for modes like +f (which need to save counters for joins/msgs/etc)
Additional InformationPhase ONE: See 0003172 and 0003174
Phase TWO: standard handler->get_param can be used for this
Phase THREE: this requires some thought.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

syzop

2007-11-01 12:51

administrator   ~0014809

Added in .693 (Phase ONE, no plans for TWO/THREE):
- Channelmode modules without parameters (like: +X, but not: +X 1) no longer
  have to be permanent. Channelmodes with parameters still have to be PERM
  however, and there are currently no plans to change it.

Issue History

Date Modified Username Field Change
2006-12-28 14:09 syzop New Issue
2007-04-19 04:21 stskeeps Status new => acknowledged
2007-11-01 09:41 syzop Relationship added child of 0003454
2007-11-01 09:47 syzop Status acknowledged => assigned
2007-11-01 09:47 syzop Assigned To => syzop
2007-11-01 12:51 syzop QA => Not touched yet by developer
2007-11-01 12:51 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-11-01 12:51 syzop Status assigned => resolved
2007-11-01 12:51 syzop Fixed in Version => 3.2.8
2007-11-01 12:51 syzop Resolution open => fixed
2007-11-01 12:51 syzop Note Added: 0014809
2017-01-06 15:48 syzop Category module => module api